import peasy.*;
PeasyCam cam;

Table table;
int rowCount;
int columnCount;

int itemMin, itemMax, bibMin, bibMax, barMin, barMax;
float[] mappedBib = new float[50000];
float[] mappedItem = new float[50000];
float[] mappedBar = new float[50000];

int bib1, bib2, item1, item2, bar1, bar2;
String result;

int radius = 875;

ArrayList<Line> Lines = new ArrayList<Line>();
ArrayList<Split1> Splits1 = new ArrayList<Split1>();
ArrayList<Split2> Splits2 = new ArrayList<Split2>();

PShape[] firstLines = new PShape[50000];
PShape[] secondLines = new PShape[50000];


void setup() {
  size(displayWidth, displayHeight, P3D);
  cam = new PeasyCam(this, 1800);

  processData();
}


void draw() {
  background(215);
  smooth();

  drawGUI();
  //rotateY(frameCount*0.01);
  
  cam.beginHUD();  //Stopping peasy cam
  fill(255,random(80,200));
  rect(width-265, height-80, (width -(width-250)), (height-(height-60)));
  fill(215);
  textSize(30);
  text("Bi-Polar Books",width-245,height-50,0);
  cam.endHUD();
  
  noFill(); 
  stroke(255, random(0, 80));
  strokeWeight(0.45);
  sphere(radius); 



  for (int i=0; i<Lines.size(); i+=10) {
    stroke(40, 20);
    strokeWeight(3.75);
    fill(40, 20);
    pushMatrix();
    translate(random(0, 30), random(0, 30), random(0, 10));
    point(Lines.get(i).x, Lines.get(i).y, Lines.get(i).z);
    popMatrix();
  }



  for (int i=0; i<Lines.size(); i+=10) {
    pushMatrix();
    translate(random(0, 20), random(0, 20), random(0, 20));
    shape(firstLines[i]); 
    popMatrix();
  }
  for (int i=0; i<Splits1.size(); i+=10) {
    pushMatrix();
    translate(random(0, 20), random(0, 20), random(0, 20));
    shape(secondLines[i]); 
    popMatrix();
  }


  //for (int i=0; i<Splits1.size(); i++) {
  // allLines.stroke(220, 0, 0, 70);
  // allLines.vertex(Splits1.get(i).x, Splits1.get(i).y, Splits1.get(i).z);
  // allLines.vertex(0, 0, 475);
  //}
  //for (int i=0; i<Splits2.size(); i++) {
  // allLines.stroke(20, 0, 220, 70);
  // allLines.vertex(Splits2.get(i).x, Splits2.get(i).y, Splits2.get(i).z); 
  // allLines.vertex(0, 0, -475);
  //}
}