void processData() {
  //load it up
  table = loadTable("new_SPL_data.csv");
  //table = loadTable("x_markHirsch_IJ_oneBibManyItem.csv");
  rowCount = table.getRowCount();
  columnCount = table.getColumnCount();
  
  //mins & maxs of item numbers
  int[] itemNums = new int[rowCount];
  for (int i=0; i<rowCount; i++) {
    itemNums[i] = table.getInt(i, 2);
  }
  itemMin = min(itemNums);
  itemMax = max(itemNums);
  
  println(itemMin,itemMax);

  //mins & maxs of bib numbers
  int[] bibNums = new int[rowCount];
  for (int i=0; i<rowCount; i++) {
    bibNums[i] = table.getInt(i, 0);
  }
  bibMin = min(bibNums);
  bibMax = max(bibNums);
  

  //mins & maxs of barCode numbers
  int[] barNums = new int[rowCount];
  for (int i=0; i<rowCount; i++) {
    barNums[i] = table.getInt(i, 4);
  }
  barMin = min(barNums);
  barMax = max(barNums);

  //map items to sphere
  for (int i=0; i<rowCount-1; i++) {
    mappedItem[i] = int(map(table.getInt(i, 2), itemMin, itemMax, -radius, radius));  
    float x = mappedItem[i];
    //map bibs to sphere   
    mappedBib[i] = int(map(table.getInt(i, 0), bibMin, bibMax, -radius, radius));
    float y = mappedBib[i];
    //map barcodes to sphere  
    mappedBar[i] = int(map(table.getInt(i, 2), barMin, barMax, random(-radius/2), random(radius/2)));
    float z = mappedBar[i];

    Lines.add(new Line(x, y, z));
  }
  for (int i=0; i<rowCount-1; i++) {
    //figure out when splits happen
    bib1 = table.getInt(i, 0);
    item1 = table.getInt(i, 2);
    bib2 = table.getInt(i+1, 0);
    item2 = table.getInt(i+1, 2);
    bar1 = table.getInt(i, 4);
    bar2 = table.getInt(i+1, 4);


    if (bib1 == bib2 && item1 != item2) {
      float x = mappedItem[i];
      float y = mappedBib[i];
      float z = mappedBar[i];

      Splits1.add(new Split1(x, y, z));
    }

    if (bib1 == bib2 && bar1 != bar2 ) { 
      float x = mappedItem[i];
      float y = mappedBib[i];
      float z = mappedBar[i];

      Splits2.add(new Split2(x, y, z));
    }
  }
  table.clearRows();

  for (int i=0; i<Lines.size(); i++) {

   firstLines[i] = createShape();
   firstLines[i].beginShape();
   firstLines[i].noFill();

   firstLines[i].stroke(0, random(0,20)+40);
   firstLines[i].strokeWeight(.75);    
   firstLines[i].vertex(Lines.get(i).x, Lines.get(i).y, Lines.get(i).z);
   firstLines[i].bezierVertex(Lines.get(i).x, Lines.get(i).y, Lines.get(i).z, random(-radius, radius/2), random(-radius/2, radius/2), random(0, radius/2), 0, 0, radius);
   firstLines[i].endShape();
  }


  for (int i=0; i<Splits1.size(); i++) {
    secondLines[i] = createShape();
    secondLines[i].beginShape();
    secondLines[i].noFill();
    secondLines[i].stroke(220, 0, 0, random(0, 20)+40);
    secondLines[i].vertex(Splits1.get(i).x, Splits1.get(i).y, Splits1.get(i).z);
    secondLines[i].bezierVertex(Splits1.get(i).x, Splits1.get(i).y, Splits1.get(i).z, random(0, radius/2), random(-radius/2, radius/2), random(0, -radius/2), 0, 0, -radius);
    secondLines[i].endShape();
  }
  //for (int i=0; i<Splits2.size()/3; i++) {
  // straightLines.stroke(20, 0, 220, 70);
  // straightLines.vertex(Splits2.get(i).x, Splits2.get(i).y, Splits2.get(i).z); 
  // straightLines.vertex(0, 0, 0);
  //}
  //straightLines.endShape(CLOSE);
}